import { Dialog, DialogContent, DialogHeader, DialogTitle } from '../ui/dialog';
import React, { Dispatch, SetStateAction } from 'react';

type ModalProps = {
  open?: boolean;
  setOpen?: (open: boolean) => any;
  title?: string;
  children?: React.ReactNode;
};

export const Modal = (props: ModalProps) => {
  const { open = false, setOpen, title, children } = props;

  return (
    <Dialog open={open} onOpenChange={setOpen}>
      <DialogContent>
        <DialogHeader>
          <DialogTitle>{title}</DialogTitle>
        </DialogHeader>
        {children}
      </DialogContent>
    </Dialog>
  );
};
